package biege;
import java.awt.Graphics;
import java.awt.Color;
import java.awt.Image;
import java.applet.AudioClip;

public class Healer extends Folk
{

    private static int WIDTH = 18;
    private static int HEIGHT = 24;

    private static AudioClip HEAL_SOUND = Element.loadAudioClip("file:sound/heal.wav");
    private static int HEAL_MESSAGE = WorldData.getHealMessageIndex();
    private static String HEAL_IMAGE_LOCATION =  "godess.gif";
    private static Image SPRITE;

    public Healer(Position p)
    {
      super(new Position(p.getX(), p.getY()), WIDTH, HEIGHT, HEAL_MESSAGE);
      if (SPRITE == null)
      {
        SPRITE = Element.loadImage(HEAL_IMAGE_LOCATION);
      }

    }


    public void draw(Graphics g, int viewW, int viewH)
    {
      g.setColor(Color.red);
        if(SPRITE != null)
          Element.drawImage(SPRITE, g, scaleX(viewW), scaleY(viewH),
                                                 Element.scaleWidth(viewW, WIDTH), Element.scaleHeight(viewH, HEIGHT));

    }


    public void talk (GUI tempGui)
    {
      Player p = tempGui.getPlayer();
      Player2 p2 = tempGui.getPlayer2();

      if (p2.isDead())
        p2.changePosition(p.getPosition());

      p2.fullHeal();

      if (HEAL_SOUND != null)
        HEAL_SOUND.play();

      super.talk(tempGui);
      p.fullHeal();
    }

    public double getGurth()
    {
      return (double)WIDTH;
    }

    public void interact (Element e) {}

    public void changePosition(Position p) {}//do nothing. Does not move

    public void delete() {}

}